Subject: Re: Section 9.1

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 11 Feb 2000 15:08:30 -0500

Your suspicion as to how 9.1 came about is 100% correct.

I am not so sure you can delete (2).  It does seem to me that
if you have more than one Modify, for example, outstanding on
a termination, you are order dependent, and thus this is not
a recommended procedure.  Thinking through the context vs.
termination issue, I believe that while in almost every case
it is acceptable to limit to one command per termination, there
are cases where it matters.  The easiest one I can think of
is Add Move.  If done in the wrong order, the context could disappear.  This
also breaks the second part of (2), doesn't it?

Brian

> -----Original Message-----
> From: Chip Sharp [mailto:[email-masked]]
> Sent: Friday, February 11, 2000 2:44 PM
> To: [email-masked]
> Subject: Section 9.1
>
>
> In reviewing the comments on new Section 9.1 "Ordering of Commands" we
> noticed that the text was somewhat confusing.  In particular,
> we considered
> the following item (2) to be incorrect since we thought that the
> restriction to outstanding commands applied to Terminations,
> not contexts.
>
> "2.  In a given Context, there should normally be at most one
> outstanding
> command (Add or Modify or Move).  However, a Subtract command
> may be issued
> at any time.  In consequence, a Media Gateway may sometimes receive a
> Modify command that applies to a previously subtracted
> Termination.  Such
> commands should be ignored, and an error code should be returned."
>
> The proposal was to replace "Context" with "Termination".
>
> However, in further reading this section, many questions were
> raised as to
> whether things applied to commands, transactions, contexts, etc.
>
> In investigating the history of this section, I believe I
> found the source
> of confusion.  It looks like this text was cut-and-pasted
> from the MGCP
> draft (v1.05).  The problem is that after the paste, a global
> replace was
> done replacing "endpoint" with "termination" and "connection" with
> "Context".  No other text seems to be modified.
>
> The problem is that the fundamental call model between MGCP
> and megaco are
> different and an "endpoint" is not equivalent to "termination" and
> "context" is not equivalent with "connection".  Therefore,
> the text in this
> section is incorrect.
>
> We would like to correct this.   Possibly by deleting those parts that
> don't make sense. (e.g., item 2).  Does anyone have major heartburn?
>
> Chip
> Support NetAid!  http://www.netaid.org
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.
> --------------------------------------------------
>